<?php
	/**
	* Part of SemanticTextAnnotator
	* Provides Functions that are called from Javascript.
	* 
	* Cave! The extension uses Sajax (Simple Ajax Toolkit) what is deprecated!
	* SOURCE  http://www.mediawiki.org/wiki/Manual:Ajax#Deprecated_functionality
	* 
	* 
	* @author Oliver Lutzi
	*/


//ueberschreibt einen Artikel "$pagename" mit dem Inhalt "$content"
function sta_editWikiPage($pagename,$content,$editSummary) {
	$titleObj = Title::newFromText($pagename);
	$wikipage = WikiPage::factory($titleObj);
	//doEdit() is deprecated! since 1.21: use doEditContent() instead
	$wikipage->doEdit($content,$editSummary);	
	return $pagename;
}


//liefert den Text, der in der "Edit-Ansicht" steht
function getEditContent($pagename) {
	$titleObj = Title::newFromText($pagename);
	$wikipage = WikiPage::factory($titleObj);
	$return = $wikipage->getText();
	return $return;
}

//liefert den HTML-Code, der den Seiteninhalt darstellt
function getHTMLContent($pagename) {
	$titleObj = Title::newFromText($pagename);
	$wikipage = WikiPage::factory($titleObj);
	global $wgParser;
	$text = $wikipage->getText();
	$parserOutput = $wgParser->parse($text,$titleObj,new ParserOptions());
	$return = $parserOutput->getText();
	return $return;
}


function parseText($string) {
	global $wgParser;
	$parserOutput = $wgParser->parse($string,new Title(), new ParserOptions());
	$return = $parserOutput->getText();
	return $return;
}


function sta_writeAnnotationProperties($annotationSerialNumber, $newPageName, $articleName, $annotationDate ,$createdBy){
	$newTitle = Title::newFromText($newPageName);
	$newArticle = new Article($newTitle);
	$content = '';
	$content .= '{{TextAnnotation}}';
	$content .= '[[STAannotationSerialNumber::'.$annotationSerialNumber.'| ]]'."\n";
	$content .= '[[STAarticleName::'.$articleName.'| ]]'."\n";
	$content .= '[[STAannotationDate::'.$annotationDate.'| ]]'."\n";
	$content .= '[[STAcreatedBy::'.$createdBy.'| ]]'."\n";
	$content .= '[[Category:TextAnnotation]]'."\n";
	$content .= '<!--STARTANNOTATIONTEXT-->'."\n";
	$newArticle->doEdit($content, 'Created by Semantic Text Annotator');
	return ('success');
}

function sta_deleteAnnotationPage($pageName, $userName) {
	$user = $userName;
	$title = Title::newFromText($pageName);
	$article = new Article($title);
	$article->doDelete("User: ".$user." hat diese Annotation entfernt.");
	return;
}


?>